# boost::numeric::ublas::vector_binary_scalar2< E1, E2, F > Class Template Reference

Inherits vector_expression< vector_binary_scalar2< E1, E2, F > >.

List of all members.

## Classes

class | const_iterator

## Public Types

typedef E1::size_type | size_type
typedef E1::difference_type | difference_type
typedef F::result_type | value_type
typedef value_type | const_reference
typedef const_reference | reference
typedef const self_type | const_closure_type
typedef const_closure_type | closure_type
typedef unknown_storage_tag | storage_category
typedef const_iterator | iterator
typedef reverse_iterator_base < const_iterator > | const_reverse_iterator

## Public Member Functions

BOOST_UBLAS_INLINE | vector_binary_scalar2 (const expression1_type &e1, const expression2_type &e2)
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE const_reference | operator() (size_type i) const
BOOST_UBLAS_INLINE const_reference | operator[] (size_type i) const
BOOST_UBLAS_INLINE bool | same_closure (const vector_binary_scalar2 &vbs2) const
BOOST_UBLAS_INLINE const_iterator | find (size_type i) const
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE const_reverse_iterator | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator | rend () const

### template<class E1, class E2, class F>
class boost::numeric::ublas::vector_binary_scalar2< E1, E2, F >